Skip to main content
GET
Get a message
Works for a message you sent or an agent reply. Useful for polling a long-running reply until status goes from streaming to completed.

Authorizations

Authorization
string
header
required

Requires an API key. See the Authentication guide.

Path Parameters

message_id
string
required

Response

200 - application/json

Message record (user or aggregated assistant).

id
string
required
task_id
string
required
created
integer
required
role
enum<string>
required
Available options:
user,
assistant,
system
content
Content · object[]
required
object
string
default:message
Allowed value: "message"
finish_reason
string | null
status
enum<string> | null
Available options:
pending,
streaming,
completed,
cancelling,
cancelled,
failed
stop_reason
enum<string> | null
Available options:
stop,
length,
cancelled,
error
started_at
integer | null
completed_at
integer | null
error
string | null
metadata
Metadata · object
platform
enum<string>
default:api
Available options:
api,
mcp,
web,
desktop,
mobile
input
Input · object | null
output
Output · object | null